#pragma once

#include "generic_frame.h"

class TitleFrame : public GenericFrame {
public:
	TitleFrame();

	void Init();
	void DeInit();
	bool DoUpdate(float time);
	void DoRender();

private:

	Renderer renderer;

	float prevAxis;
	int pos;
	int holding;
	int mode;
	float t;
	float toPlay;

	float ang;
};
